> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# API Scopes

> Scopes that can be granted to Coalesce Quality API tokens and OAuth clients, and the public API methods each one unlocks

Every Coalesce Quality API token and OAuth client credential is granted a set of **scopes**. A scope authorises a group of related API methods; a call succeeds when the token carries **at least one** of the scopes required by that method (OR semantics).

Choose the narrowest set of scopes that covers the methods your integration calls. Scopes are selected when you create a token or client in [API settings](https://app.synq.io/settings/api), in the order listed below.

There are 43 scopes available to API tokens and OAuth clients. Internal scopes reserved for managed integrations are not listed here.

## Edit Issues

`SCOPE_ISSUES_EDIT`

Create and update data quality issues, including changing their status and assignees.

| Method                                                                                                                       | Description                                                              |
| ---------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| `MarkExpected`<br />*synq.issues.issues.v1.IssuesService*<br />`PATCH /api/issues/v1/{issue_id}/mark-expected`               | Mark issue as expected.                                                  |
| `MarkFixed`<br />*synq.issues.issues.v1.IssuesService*<br />`PATCH /api/issues/v1/{issue_id}/mark-fixed`                     | Mark issue as fixed.                                                     |
| `MarkInvestigating`<br />*synq.issues.issues.v1.IssuesService*<br />`PATCH /api/issues/v1/{issue_id}/mark-investigating`     | Mark issue as being investigated.                                        |
| `MarkNoActionNeeded`<br />*synq.issues.issues.v1.IssuesService*<br />`PATCH /api/issues/v1/{issue_id}/mark-no-action-needed` | Mark issue as no action needed.                                          |
| `PostComment`<br />*synq.issues.issues.v1.IssuesService*<br />`POST /api/issues/v1/{issue_id}/comment`                       | Post a comment on an issue.                                              |
| `ClearStatus`<br />*synq.issues.v2.IssuesService*<br />`PATCH /api/issues/v2/{issue_id}/clear-status`                        | Clear the triage status of an issue, returning it to an untriaged state. |
| `MarkExpected`<br />*synq.issues.v2.IssuesService*<br />`PATCH /api/issues/v2/{issue_id}/mark-expected`                      | Mark issue as expected.                                                  |
| `MarkFixed`<br />*synq.issues.v2.IssuesService*<br />`PATCH /api/issues/v2/{issue_id}/mark-fixed`                            | Mark issue as fixed.                                                     |
| `MarkInvestigating`<br />*synq.issues.v2.IssuesService*<br />`PATCH /api/issues/v2/{issue_id}/mark-investigating`            | Mark issue as being investigated.                                        |
| `MarkNoActionNeeded`<br />*synq.issues.v2.IssuesService*<br />`PATCH /api/issues/v2/{issue_id}/mark-no-action-needed`        | Mark issue as no action needed.                                          |
| `PostComment`<br />*synq.issues.v2.IssuesService*<br />`POST /api/issues/v2/{issue_id}/comment`                              | Post a comment on an issue.                                              |

## Read Issues

`SCOPE_ISSUES_READ`

View data quality issues and their details.

| Method                                                                                                           | Description                                                                          |
| ---------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit` | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
| `BatchGetIssues`<br />*synq.issues.issues.v1.IssuesService*<br />`POST /api/issues/v1/by-id`                     |                                                                                      |
| `ListIssues`<br />*synq.issues.issues.v1.IssuesService*<br />`GET /api/issues/v1`                                |                                                                                      |
| `BatchGetIssues`<br />*synq.issues.v2.IssuesService*<br />`POST /api/issues/v2/by-id`                            |                                                                                      |
| `ListIssues`<br />*synq.issues.v2.IssuesService*<br />`GET /api/issues/v2`                                       |                                                                                      |

## Edit Incidents

`SCOPE_INCIDENTS_EDIT`

Declare, update, and resolve incidents raised for confirmed issues with business impact.

| Method                                                                                                                    | Description                    |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| `AddIssuesToIncident`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1/{incident_id}/issues`        |                                |
| `AssignIncidentOwner`<br />*synq.incidents.v1.IncidentsService*<br />`PATCH /api/incidents/v1/{incident_id}/assign-owner` |                                |
| `CancelIncident`<br />*synq.incidents.v1.IncidentsService*<br />`PATCH /api/incidents/v1/{incident_id}/cancel`            | Cancel an incident             |
| `CloseIncident`<br />*synq.incidents.v1.IncidentsService*<br />`PATCH /api/incidents/v1/{incident_id}/close`              | Close an incident              |
| `CreateIncident`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1`                                  |                                |
| `MergeIncidents`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1/{incident_id}/merge`              |                                |
| `PostComment`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1/{incident_id}/comment`               | Post a comment on an incident. |
| `RemoveIssuesFromIncident`<br />*synq.incidents.v1.IncidentsService*<br />`DELETE /api/incidents/v1/{incident_id}/issues` |                                |
| `RenameIncident`<br />*synq.incidents.v1.IncidentsService*<br />`PATCH /api/incidents/v1/{incident_id}/rename`            |                                |
| `SplitIncident`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1/{incident_id}/split`               |                                |
| `UpdateIncidentState`<br />*synq.incidents.v1.IncidentsService*<br />`PATCH /api/incidents/v1/{incident_id}/state`        |                                |

## Read Incidents

`SCOPE_INCIDENTS_READ`

View incidents, including their status and the issues they track.

| Method                                                                                                           | Description                                                                          |
| ---------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit` | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
| `BatchGetIncidents`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1/by-id`                |                                                                                      |
| `ListIncidents`<br />*synq.incidents.v1.IncidentsService*<br />`GET /api/incidents/v1`                           |                                                                                      |

## Edit Entities

`SCOPE_ENTITY_EDIT`

Create and update entities such as tables, dashboards, and jobs in the catalog.

| Method                                                                                                              | Description                                                                                             |
| ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `DeleteCheckRelationships`<br />*synq.entities.custom.v1.ChecksRelationshipsService*                                |                                                                                                         |
| `UpsertCheckRelationships`<br />*synq.entities.custom.v1.ChecksRelationshipsService*                                |                                                                                                         |
| `DeleteEntity`<br />*synq.entities.custom.v1.EntitiesService*<br />`DELETE /api/entities/custom/v1/entities`        | Delete an entity by its identifier. If the entity does not exist, it will be a no-op.                   |
| `UpsertEntity`<br />*synq.entities.custom.v1.EntitiesService*<br />`POST /api/entities/custom/v1/entities`          | Create or update an entity. If the entity does not exist, it will be created, otherwise it will be u... |
| `DeleteEntityFeature`<br />*synq.entities.custom.v1.FeaturesService*<br />`DELETE /api/entities/custom/v1/features` | Delete an entity by its identifier. If the entity does not exist, it will be a no-op.                   |
| `UpsertEntityFeature`<br />*synq.entities.custom.v1.FeaturesService*<br />`POST /api/entities/custom/v1/features`   | Create or update an entity. If the entity does not exist, it will be created, otherwise it will be u... |
| `DeleteEntitiesGroup`<br />*synq.entities.custom.v1.GroupsService*<br />`DELETE /api/entities/custom/v1/groups`     | DeleteEntitiesGroup deletes a group by its identifier. If the group does not exist, it will be a no-... |
| `UpsertEntitiesGroup`<br />*synq.entities.custom.v1.GroupsService*<br />`POST /api/entities/custom/v1/groups`       | UpsertEntitiesGroup updates current definition of group to the server. As part of the upsert operati... |

## Read Entities

`SCOPE_ENTITY_READ`

View entities such as tables, dashboards, and jobs, along with their metadata.

| Method                                                                                                                                   | Description                                                                               |
| ---------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| `GenerateConnectionsYaml`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                    | GenerateConnectionsYaml converts data warehouse connections to YAML configuration format. |
| `ListConnections`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                            | ListConnections retrieves data warehouse connections for a workspace.                     |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`                         | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team.      |
| `ListAnnotations`<br />*synq.entities.annotations.v1.AnnotationsService*<br />`GET /api/entities/annotations/v1`                         | List all available annotations with their usage counts across entities.                   |
| `BatchChange`<br />*synq.entities.changes.v1.ChangesService*<br />`POST /api/changes/v1/by-id`                                           | BatchChange retrieves multiple entity changes by their IDs in a single request.           |
| `List`<br />*synq.entities.changes.v1.ChangesService*<br />`GET /api/changes/v1`                                                         | Retrieves the complete change history for specified entities.                             |
| `GetCoverage`<br />*synq.entities.checks.v1.ChecksCoverageService*                                                                       | GetCoverage retrieves the coverage of checks for a specific entity.                       |
| `GetTableConstraints`<br />*synq.entities.constraints.v1.TableConstraintsService*<br />`GET /api/constraints/v1/table-constraints`       | Get table constraints (primary keys, foreign keys, indexes, etc.) for a given entity.     |
| `BatchDatabaseCoordinates`<br />*synq.entities.coordinates.v1.DatabaseCoordinatesService*<br />`POST /api/coordinates/v1/database/by-id` | Get multiple DatabaseCoordinates for identifiers.                                         |
| `BatchIdsByCoordinates`<br />*synq.entities.coordinates.v1.DatabaseCoordinatesService*<br />`POST /api/coordinates/v1/database/by-fqn`   | Given database FQN return possible entity ids.                                            |
| `ListEntities`<br />*synq.entities.custom.v1.EntitiesService*<br />`GET /api/entities/custom/v1/entities`                                | List all entities.                                                                        |
| `ListEntityFeatures`<br />*synq.entities.custom.v1.FeaturesService*<br />`POST /api/entities/custom/v1/features/list`                    | List all entities.                                                                        |
| `ListEntityGroups`<br />*synq.entities.custom.v1.GroupsService*<br />`POST /api/entities/custom/v1/groups/list`                          | ListEntityGroups lists all groups.                                                        |
| `ListTypes`<br />*synq.entities.custom.v1.TypesService*<br />`POST /api/entities/custom/v1/types/list`                                   | List all entities.                                                                        |
| `BatchGetEntities`<br />*synq.entities.entities.v1.EntitiesService*<br />`POST /api/entities/v1/by-id`                                   | Get multiple entities by their identifiers.                                               |
| `GetEntity`<br />*synq.entities.entities.v1.EntitiesService*                                                                             | Get specific entity by its identifier.                                                    |
| `ListEntities`<br />*synq.entities.entities.v1.EntitiesService*<br />`GET /api/entities/v1`                                              | List entities matching the given filter                                                   |
| `SearchEntities`<br />*synq.entities.entities.v1.EntitiesService*<br />`GET /api/entities/v1/search`                                     | Search for entities.                                                                      |
| `GetImpact`<br />*synq.entities.impact.v1.ImpactService*<br />`POST /api/impact/v1`                                                      |                                                                                           |
| `BatchResolveIdentifiers`<br />*synq.entities.resolve.v1.IdentifierResolveService*<br />`POST /api/resolve/v1/by-id`                     | Resolve multiple identifiers, returning their Coalesce Quality paths and identity groups. |
| `BatchSchemaMismatches`<br />*synq.entities.schemas.v1.SchemaMismatchesService*<br />`POST /api/schema-mismatches/v1`                    | Get schema mismatches for a batch of entities by their identifiers.                       |
| `GetSchema`<br />*synq.entities.schemas.v1.SchemasService*<br />`GET /api/schema/v1`                                                     | Get schema of the entity its identifier.                                                  |
| `BatchSqlDetails`<br />*synq.entities.sql\_insights.v1.SqlInsightsService*<br />`POST /api/sql-insights/v1/details:batch`                | BatchSqlDetails returns the SQL details (currently the set of detected SQL                |
| `ListSqlConstructs`<br />*synq.entities.sql\_insights.v1.SqlInsightsService*<br />`GET /api/sql-insights/v1/constructs`                  | ListSqlConstructs returns the distribution of SQL constructs across all                   |
| `GetDiffByCommit`<br />*synq.git.commits.v1.CommitsService*<br />`GET /api/git/v1/commit/{commit_sha}`                                   |                                                                                           |
| `GenerateQuery`<br />*synq.queries.v1.NLQueryService*<br />`POST /api/queries/v1/generate`                                               | GenerateQuery generates a Query from a natural language description.                      |

## Edit Entity Types

`SCOPE_ENTITY_TYPE_EDIT`

Define and update custom entity types.

| Method                                                                                               | Description                                                                                             |
| ---------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `DeleteType`<br />*synq.entities.custom.v1.TypesService*<br />`DELETE /api/entities/custom/v1/types` | Delete an entity by its identifier. If the entity does not exist, it will be a no-op.                   |
| `UpsertType`<br />*synq.entities.custom.v1.TypesService*<br />`POST /api/entities/custom/v1/types`   | Create or update an entity. If the entity does not exist, it will be created, otherwise it will be u... |

## Read Entity Types

`SCOPE_ENTITY_TYPE_READ`

View entity type definitions.

| Method                                                                                                 | Description        |
| ------------------------------------------------------------------------------------------------------ | ------------------ |
| `ListTypes`<br />*synq.entities.custom.v1.TypesService*<br />`POST /api/entities/custom/v1/types/list` | List all entities. |

## Edit Lineage

`SCOPE_LINEAGE_EDIT`

Create and update lineage relationships between entities.

| Method                                                                                                                        | Description                                                                                             |
| ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `DeleteRelationships`<br />*synq.entities.custom.v1.RelationshipsService*<br />`DELETE /api/entities/custom/v1/relationships` | Delete relationships between entities. If the relationship does not exist, it will be ignored.          |
| `UpsertRelationships`<br />*synq.entities.custom.v1.RelationshipsService*<br />`POST /api/entities/custom/v1/relationships`   | Create or update relationships between entities. If the relationship already exists, it will be upda... |

## Read Lineage

`SCOPE_LINEAGE_READ`

View upstream and downstream lineage between entities.

| Method                                                                                                                         | Description                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------- |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`               | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team.           |
| `ListRelationships`<br />*synq.entities.custom.v1.RelationshipsService*<br />`POST /api/entities/custom/v1/relationships/list` | Delete relationships between entities. If the relationship does not exist, it will be ignored. |
| `GetImpact`<br />*synq.entities.impact.v1.ImpactService*<br />`POST /api/impact/v1`                                            |                                                                                                |
| `GetLineage`<br />*synq.entities.lineage.v1.LineageService*<br />`POST /api/lineage/v1`                                        |                                                                                                |
| `BatchOrchestration`<br />*synq.entities.orchestration.v1.OrchestrationService*<br />`GET /api/orchestration/v1`               | BatchOrchestration retrieves orchestration relationships for multiple entities.                |

## Read Entity Code

`SCOPE_CODE_READ`

View the SQL or source code associated with an entity.

| Method                                                                                                           | Description                                                                          |
| ---------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit` | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
| `ListCode`<br />*synq.entities.code.v1.CodeService*<br />`GET /api/code/v1`                                      | ListCode retrieves all code artifacts associated with a specific entity.             |
| `GetDiffByChangeId`<br />*synq.git.commits.v1.CommitsService*<br />`GET /api/git/v1/change/{change_id}`          |                                                                                      |

## Read Entity Status

`SCOPE_STATUS_READ`

View the health and status of entities, including status summaries and history.

| Method                                                                                                               | Description                                        |
| -------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------- |
| `BatchGetIncidents`<br />*synq.entities.status.v1.EntityIncidentsService*<br />`POST /api/status/v1/incidents/by-id` | Get multiple entity statuses by their identifiers. |
| `GetIncidents`<br />*synq.entities.status.v1.EntityIncidentsService*                                                 | Get specific entity status by its identifier.      |
| `BatchGetIssuesStatus`<br />*synq.entities.status.v1.EntityIssuesService*<br />`POST /api/status/v1/issues/by-id`    | Get multiple entity statuses by their identifiers. |
| `GetIssuesStatus`<br />*synq.entities.status.v1.EntityIssuesService*                                                 | Get specific entity status by its identifier.      |

## Edit SQL Tests

`SCOPE_DATACHECKS_SQLTESTS_EDIT`

Create, update, and delete SQL tests.

| Method                                                                                                             | Description                           |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------- |
| `BatchDeleteSqlTests`<br />*synq.datachecks.sqltests.v1.SqlTestsService*<br />`DELETE /api/datachecks/sqltests/v1` | Delete SqlTests by their IDs.         |
| `BatchUpsertSqlTests`<br />*synq.datachecks.sqltests.v1.SqlTestsService*<br />`POST /api/datachecks/sqltests/v1`   | Upsert SqlTests based on a unique ID. |

## Read SQL Tests

`SCOPE_DATACHECKS_SQLTESTS_READ`

View SQL tests and their configuration.

| Method                                                                                                              | Description                                                                          |
| ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`    | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
| `BatchGetSqlTests`<br />*synq.datachecks.sqltests.v1.SqlTestsService*<br />`POST /api/datachecks/sqltests/v1/by-id` | Get SqlTests by their IDs.                                                           |
| `ListSqlTests`<br />*synq.datachecks.sqltests.v1.SqlTestsService*<br />`GET /api/datachecks/sqltests/v1`            | List SqlTests for given annotations.                                                 |

## Read SQL Tests Audit

`SCOPE_DATACHECKS_SQLTESTS_AUDIT_READ`

View the audit history of changes to SQL tests.

| Method                                                               | Description                                               |
| -------------------------------------------------------------------- | --------------------------------------------------------- |
| `GetSqlTestAudit`<br />*synq.datachecks.sqltests.v1.SqlTestsService* | Get SqlTest audit from a given execution ID in jwt token. |

## Edit Test Suggestions

`SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT`

Accept, dismiss, and manage suggested tests.

| Method                                                                                                                                                 | Description |
| ------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| `MarkAsCancelled`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                 |             |
| `MarkAsCompleted`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                 |             |
| `MarkAsFailed`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                    |             |
| `MarkAsRunning`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                   |             |
| `SuggestFor`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                      |             |
| `BatchAcceptTestSuggestions`<br />*synq.datachecks.testsuggestions.v1.TestSuggestionsService*<br />`PATCH /api/datachecks/testsuggestions/v1/accepted` |             |
| `BatchCreateTestSuggestions`<br />*synq.datachecks.testsuggestions.v1.TestSuggestionsService*<br />`POST /api/datachecks/testsuggestions/v1`           |             |
| `BatchRejectTestSuggestions`<br />*synq.datachecks.testsuggestions.v1.TestSuggestionsService*<br />`PATCH /api/datachecks/testsuggestions/v1/rejected` |             |

## Read Test Suggestions

`SCOPE_DATACHECKS_TESTSUGGESTIONS_READ`

View suggested tests.

| Method                                                                                                                                              | Description                                                                          |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`                                    | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
| `BatchSuggestionStates`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                        |                                                                                      |
| `GetActiveSuggestionStatesFor`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                 |                                                                                      |
| `ListSuggestionStates`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                         |                                                                                      |
| `BatchGetTestSuggestionsForEntities`<br />*synq.datachecks.testsuggestions.v1.TestSuggestionsService*<br />`GET /api/datachecks/testsuggestions/v1` |                                                                                      |

## Trigger Data Checks

`SCOPE_DATACHECKS_TRIGGER`

Trigger data checks to run on demand.

| Method                                                                                                        | Description                                                       |
| ------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| `TriggerDatachecks`<br />*synq.datachecks.v1.TriggerService*<br />`POST /api/datachecks/scheduler/v1/trigger` | TriggerDatachecks executes datachecks for the specified entities. |

## Edit Executions

`SCOPE_EXECUTION_EDIT`

Report execution runs and their results.

| Method                                                                                                                           | Description                                     |
| -------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| `UpsertExecution`<br />*synq.entities.custom.v1.EntityExecutionsService*<br />`POST /api/entities/custom/executions/v1`          | Execution affects status of the custom entity   |
| `UpsertLogEntry`<br />*synq.entities.custom.v1.EntityExecutionsService*<br />`POST /api/entities/custom/executions/v1/log-entry` | LogEntry is a log message for the custom entity |
| `UpsertExecution`<br />*synq.entities.executions.v1.EntityExecutionsService*<br />`POST /api/executions/v1`                      | Execution affects status of the custom entity   |
| `UpsertLogEntry`<br />*synq.entities.executions.v1.EntityExecutionsService*<br />`POST /api/executions/v1/log-entry`             | LogEntry is a log message for the custom entity |

## Edit Execution Logs

`SCOPE_EXECUTION_LOG_EDIT`

Write logs for execution runs.

| Method                                                                                                                           | Description                                     |
| -------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| `UpsertLogEntry`<br />*synq.entities.custom.v1.EntityExecutionsService*<br />`POST /api/entities/custom/executions/v1/log-entry` | LogEntry is a log message for the custom entity |
| `UpsertLogEntry`<br />*synq.entities.executions.v1.EntityExecutionsService*<br />`POST /api/executions/v1/log-entry`             | LogEntry is a log message for the custom entity |

## Read Executions

`SCOPE_EXECUTION_READ`

View execution run history and results.

| Method                                                                                                                   | Description                                                                                  |
| ------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------- |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`         | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team.         |
| `BatchGetExecutions`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`POST /api/executions/v2/by-id`     | BatchGetExecutions retrieves multiple executions by their IDs.                               |
| `GetExecutionsSummary`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`POST /api/executions/v2/summary` | GetExecutionsSummary provides aggregated statistics about executions for specified entities. |
| `GetLatestExecutions`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`POST /api/executions/v2/latest`   | GetLatestExecutions retrieves the most recent execution for each specified entity.           |
| `ListExecutions`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`GET /api/executions/v2/list`           | ListExecutions retrieves a paginated list of executions for one or more entities.            |

## Edit Integration Settings

`SCOPE_INTEGRATION_EDIT`

Create, update, and delete integrations and their connection settings.

| Method                                                                                                                         | Description                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------- |
| `AcceptPromptSuggestion`<br />*synq.agent.sre.v1.SreAgentService*                                                              | AcceptPromptSuggestion applies a pending suggestion to the matching SRE agent    |
| `DismissPromptSuggestion`<br />*synq.agent.sre.v1.SreAgentService*                                                             | DismissPromptSuggestion marks a pending suggestion as dismissed with an optional |
| `RecordPromptSuggestion`<br />*synq.agent.sre.v1.SreAgentService*                                                              | RecordPromptSuggestion is the producer-side endpoint used by the offline         |
| `BatchGetIntegrations`<br />*synq.integrations.v1.IntegrationsService*<br />`POST /api/integrations/v1/by-id`                  | Fetch multiple integrations by id in one call. Ids not found (or not in the      |
| `CreateIntegration`<br />*synq.integrations.v1.IntegrationsService*<br />`POST /api/integrations/v1`                           | Create a new integration. The server assigns the id and returns the created      |
| `DeleteIntegration`<br />*synq.integrations.v1.IntegrationsService*<br />`DELETE /api/integrations/v1/{integration_id}`        | Delete an integration. The integration stops being scheduled and is removed      |
| `DisableIntegration`<br />*synq.integrations.v1.IntegrationsService*<br />`POST /api/integrations/v1/{integration_id}/disable` | Disable an integration without deleting it. The configuration is kept but        |
| `EnableIntegration`<br />*synq.integrations.v1.IntegrationsService*<br />`POST /api/integrations/v1/{integration_id}/enable`   | Enable a previously disabled integration. No-op if already enabled.              |
| `GetIntegration`<br />*synq.integrations.v1.IntegrationsService*                                                               | Fetch a single integration by id. Secret config fields are masked.               |
| `GetIntegrationHealth`<br />*synq.integrations.v1.IntegrationsService*                                                         | Return current health plus a paginated history of recent runs for an             |
| `ListIntegrations`<br />*synq.integrations.v1.IntegrationsService*<br />`GET /api/integrations/v1`                             | List all integrations in the workspace (optionally filtered by enabled           |
| `RefreshIntegration`<br />*synq.integrations.v1.IntegrationsService*<br />`POST /api/integrations/v1/{integration_id}/refresh` | Trigger an immediate, ad-hoc refresh of an integration. Available only for       |
| `UpdateIntegration`<br />*synq.integrations.v1.IntegrationsService*<br />`PUT /api/integrations/v1/{integration_id}`           | Update an integration. The `config` is replaced wholesale — send the             |
| `SetPlatformAuthentication`<br />*synq.platforms.v1.PlatformsService*<br />`POST /api/platforms/v1`                            |                                                                                  |

## Edit Users

`SCOPE_USER_EDIT`

Manage workspace members, including inviting users and updating their roles.

| Method                                                | Description |
| ----------------------------------------------------- | ----------- |
| `DeleteUserAliases`<br />*synq.users.v1.UsersService* |             |
| `UpsertUserAliases`<br />*synq.users.v1.UsersService* |             |

## Read Users

`SCOPE_USER_READ`

View workspace members and their roles.

| Method                                                                     | Description                                        |
| -------------------------------------------------------------------------- | -------------------------------------------------- |
| `ListDomainMembers`<br />*synq.domains.members.v1.DomainMembersService*    | List domain members.                               |
| `ListUserDomains`<br />*synq.domains.members.v1.DomainMembersService*      | List domains for the given user.                   |
| `SetDefaultUserDomain`<br />*synq.domains.members.v1.DomainMembersService* | Set default domain for user.                       |
| `BatchGetUsers`<br />*synq.users.v1.UsersService*                          |                                                    |
| `GetByAlias`<br />*synq.users.v1.UsersService*                             |                                                    |
| `GetByEmail`<br />*synq.users.v1.UsersService*                             |                                                    |
| `GetUserAliases`<br />*synq.users.v1.UsersService*                         |                                                    |
| `GetUserIdentities`<br />*synq.users.v1.UsersService*                      | Returns all canonical identity strings for a user. |
| `ListUsers`<br />*synq.users.v1.UsersService*                              |                                                    |

## Assign Users

`SCOPE_USER_ASSIGN`

Assign users as owners of entities, issues, and other resources.

| Method                                                                    | Description            |
| ------------------------------------------------------------------------- | ---------------------- |
| `AddDomainMembers`<br />*synq.domains.members.v1.DomainMembersService*    | Add domain members.    |
| `RemoveDomainMembers`<br />*synq.domains.members.v1.DomainMembersService* | Remove domain members. |

## Read Monitors

`SCOPE_MONITORS_READ`

View monitors and their configuration.

| Method                                                                                                                                                          | Description                                                                          |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`                                                | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team. |
| `ListConfigsMonitors`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`GET /api/monitors/custom-monitors/v1/by-config`                      |                                                                                      |
| `ListMonitors`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`GET /api/monitors/custom-monitors/v1`                                       |                                                                                      |
| `History`<br />*synq.monitors.history.v1.HistoryService*<br />`GET /api/monitors/history/v1/{monitor_path}`                                                     |                                                                                      |
| `MonitorInfo`<br />*synq.monitors.info.v1.MonitorInfoService*<br />`GET /api/monitors/info/v1`                                                                  |                                                                                      |
| `BatchGetLatestEntityMetrics`<br />*synq.monitors.predictions.v1.MonitorPredictionsService*<br />`POST /api/monitors/predictions/v1/entity-metrics:batchLatest` | Returns the most recent observed table-stats sample (row count, freshness) for each  |
| `GetEntityMetrics`<br />*synq.monitors.predictions.v1.MonitorPredictionsService*<br />`GET /api/monitors/predictions/v1/entity-metrics`                         | Returns raw metric timeseries for an entity. Identity-aware: resolves                |
| `GetMonitorPredictions`<br />*synq.monitors.predictions.v1.MonitorPredictionsService*<br />`GET /api/monitors/predictions/v1`                                   | Returns prediction timeseries for a monitor. The monitor must exist                  |

## Edit Automatic Monitors

`SCOPE_MONITORS_AUTOMATIC_EDIT`

Enable, disable, and configure automatic monitors.

| Method                                                                                                                                                                 | Description |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| `BatchDeleteDeploymentRules`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`DELETE /api/monitors/automated/v1/deployment-rules/batch`        |             |
| `BatchDeployDeploymentRules`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`POST /api/monitors/automated/v1/deployment-rules/batch/deployed` |             |
| `BatchGetDeploymentRules`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`GET /api/monitors/automated/v1/deployment-rules/batch`              |             |
| `BatchUpdateDeploymentRuleTitle`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`PATCH /api/monitors/automated/v1/deployment-rules`           |             |
| `BatchUpsertDeploymentRules`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`POST /api/monitors/automated/v1/deployment-rules/batch`          |             |
| `DeleteDeploymentRule`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`DELETE /api/monitors/automated/v1/deployment-rule/{id}`                |             |
| `DeployDeploymentRule`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`POST /api/monitors/automated/v1/deployment-rules/deployed`             |             |
| `GetDeployDeleteOverview`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`GET /api/monitors/automated/v1/deployment-rule/{id}/deleted`        |             |
| `GetDeployOverview`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`GET /api/monitors/automated/v1/deployment-rule`                           |             |
| `ListDeploymentRules`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`GET /api/monitors/automated/v1/deployment-rules`                        |             |
| `ListDeploymentRulesForAsset`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`GET /api/monitors/automated/v1/deployment-rules/{asset_path}`   |             |
| `UpsertDeploymentRule`<br />*synq.monitors.automated\_monitors.v1.DeploymentRulesService*<br />`POST /api/monitors/automated/v1/deployment-rules`                      |             |

## Edit Custom Monitors

`SCOPE_MONITORS_CUSTOM_EDIT`

Create, update, and delete custom monitors.

| Method                                                                                                                                             | Description |
| -------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| `BatchCreateMonitor`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`POST /api/monitors/custom-monitors/v1`                   |             |
| `BatchDeleteMonitor`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`POST /api/monitors/custom-monitors/v1/delete`            |             |
| `BatchUpdateMonitor`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`PUT /api/monitors/custom-monitors/v1`                    |             |
| `BatchUpdateMonitorMode`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`POST /api/monitors/custom-monitors/v1/mode`          |             |
| `BatchUpdateMonitorSeverity`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`POST /api/monitors/custom-monitors/v1/severity`  |             |
| `ConfigChangesOverview`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`POST /api/monitors/custom-monitors/v1/config-changes` |             |

## Edit Custom SQL Monitors

`SCOPE_MONITORS_CUSTOM_SQL_EDIT`

Create and update custom monitors backed by a custom SQL query.

| Method                                                                                                                           | Description |
| -------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| `BatchCreateMonitor`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`POST /api/monitors/custom-monitors/v1` |             |
| `BatchUpdateMonitor`<br />*synq.monitors.custom\_monitors.v1.CustomMonitorsService*<br />`PUT /api/monitors/custom-monitors/v1`  |             |

## Edit Alerts

`SCOPE_ALERTS_EDIT`

Create, update, and delete alert rules and notification channels.

| Method                                                                                         | Description                                          |
| ---------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| `Create`<br />*synq.alerts.services.v1.AlertsService*<br />`POST /api/alerts/v1`               | Create a new alert configuration.                    |
| `Delete`<br />*synq.alerts.services.v1.AlertsService*<br />`DELETE /api/alerts/v1`             | Delete an existing alert configuration.              |
| `ToggleEnabled`<br />*synq.alerts.services.v1.AlertsService*<br />`POST /api/alerts/v1/toggle` | Enables or disables an existing alert configuration. |
| `Update`<br />*synq.alerts.services.v1.AlertsService*<br />`PUT /api/alerts/v1`                | Update an existing alert configuration.              |

## Read Alerts

`SCOPE_ALERTS_READ`

View alert rules and notification channels.

| Method                                                                                 | Description                                                |
| -------------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| `BatchGet`<br />*synq.alerts.services.v1.AlertsService*<br />`POST /api/alerts/v1/get` | Get multiple alert configurations by their identifiers.    |
| `List`<br />*synq.alerts.services.v1.AlertsService*<br />`POST /api/alerts/v1/list`    | Retrieves a list of alert configurations based on filters. |

## Edit Data Products

`SCOPE_DATAPRODUCT_EDIT`

Create, update, and delete data products.

| Method                                                                                                                         | Description                                                            |
| ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------- |
| `Delete`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1/delete`                               | Delete a dataproduct by its identifier.                                |
| `RemoveDefinitionPart`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1/definition/part/delete` | Remove definition part from the definition of an existing dataproduct. |
| `SetDefinition`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1/definition`                    | Set the definition for an existing dataproduct.                        |
| `Upsert`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1`                                      | Create or update a dataproduct.                                        |
| `UpsertDefinitionPart`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1/definition/part`        | Upsert definition part to the definition of an existing dataproduct.   |

## Read Data Products

`SCOPE_DATAPRODUCT_READ`

View data products and their contents.

| Method                                                                                     | Description                                     |
| ------------------------------------------------------------------------------------------ | ----------------------------------------------- |
| `Get`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1/get` | Get multiple dataproducts by their identifiers. |
| `List`<br />*synq.dataproducts.v1.DataproductsService*<br />`GET /api/dataproducts/v1`     | List all the dataproducts in the current scope. |

## Edit Domains

`SCOPE_DOMAIN_EDIT`

Create, update, and delete domains.

| Method                                                       | Description                                                       |
| ------------------------------------------------------------ | ----------------------------------------------------------------- |
| `Delete`<br />*synq.domains.v1.DomainsService*               | Delete a domain by its identifier.                                |
| `RemoveDefinitionPart`<br />*synq.domains.v1.DomainsService* | Remove definition part from the definition of an existing domain. |
| `SetDefinition`<br />*synq.domains.v1.DomainsService*        | Set the definition for an existing domain.                        |
| `Upsert`<br />*synq.domains.v1.DomainsService*               | Create or update a domain.                                        |
| `UpsertDefinitionPart`<br />*synq.domains.v1.DomainsService* | Upsert definition part to the definition of an existing domain.   |

## Read Domains

`SCOPE_DOMAIN_READ`

View domains and their contents.

| Method                                                            | Description                                    |
| ----------------------------------------------------------------- | ---------------------------------------------- |
| `BatchGet`<br />*synq.domains.v1.DomainsService*                  | Get multiple domains by their identifiers.     |
| `FetchDomainWithSubDomains`<br />*synq.domains.v1.DomainsService* | Get a domain with its sub-domains              |
| `List`<br />*synq.domains.v1.DomainsService*                      | List all the domains in the current workspace. |

## Manage Extensions

`SCOPE_EXTENSIONS_MANAGE`

Manage platform extensions, including data warehouse agent and catalog connections.

| Method                                                                                                                                                         | Description                                                                                      |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| `GenerateConnectionsYaml`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                                          | GenerateConnectionsYaml converts data warehouse connections to YAML configuration format.        |
| `ListConnections`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                                                  | ListConnections retrieves data warehouse connections for a workspace.                            |
| `Activate`<br />*synq.extensions.atlan.integrations.v1.AtlanIntegrationService*<br />`PATCH /api/extensions/atlan/integrations/v1`                             | Activate or deactivate the integration.                                                          |
| `Ping`<br />*synq.extensions.atlan.integrations.v1.AtlanIntegrationService*<br />`POST /api/extensions/atlan/integrations/v1/ping`                             | Pings Atlan with the given connection credentials.                                               |
| `Remove`<br />*synq.extensions.atlan.integrations.v1.AtlanIntegrationService*<br />`DELETE /api/extensions/atlan/integrations/v1`                              |                                                                                                  |
| `Upsert`<br />*synq.extensions.atlan.integrations.v1.AtlanIntegrationService*<br />`POST /api/extensions/atlan/integrations/v1`                                | Upserts an integration and validates it by checking if the provided API URL and token are valid. |
| `GetAtlanConnections`<br />*synq.extensions.atlan.provider.v1.AtlanProviderService*<br />`GET /api/extensions/atlan/provider/v1/connections`                   |                                                                                                  |
| `GetAtlanDataProducts`<br />*synq.extensions.atlan.provider.v1.AtlanProviderService*<br />`GET /api/extensions/atlan/provider/v1/data-products`                |                                                                                                  |
| `GetAtlanDomains`<br />*synq.extensions.atlan.provider.v1.AtlanProviderService*<br />`GET /api/extensions/atlan/provider/v1/domains`                           |                                                                                                  |
| `FetchRuns`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`GET /api/extensions/atlan/workflows/v1/runs`                                  |                                                                                                  |
| `GetConnectionMappings`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`GET /api/extensions/atlan/workflows/v1/connection-mappings`       |                                                                                                  |
| `GetDomainMappings`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`GET /api/extensions/atlan/workflows/v1/domain-mappings`               |                                                                                                  |
| `GetMappingToggles`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`GET /api/extensions/atlan/workflows/v1/mappings/toggle`               |                                                                                                  |
| `GetProductMappings`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`GET /api/extensions/atlan/workflows/v1/product-mappings`             |                                                                                                  |
| `RemoveConnectionMappings`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`DELETE /api/extensions/atlan/workflows/v1/connection-mappings` |                                                                                                  |
| `SetConnectionMappings`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`POST /api/extensions/atlan/workflows/v1/connection-mappings`      |                                                                                                  |
| `SetMappingToggles`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`POST /api/extensions/atlan/workflows/v1/mappings/toggle`              |                                                                                                  |
| `Synchronize`<br />*synq.extensions.atlan.workflows.v1.AtlanWorkflowService*<br />`POST /api/extensions/atlan/workflows/v1/synchronize`                        | Run a synchronization job for the integration.                                                   |

## MCP Read Access

`SCOPE_MCP_READ`

Use any read-only MCP (Model Context Protocol) tool, including tools added in the future.

| Method                                                                                                                                                          | Description                                                                                             |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `GenerateConnectionsYaml`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                                           | GenerateConnectionsYaml converts data warehouse connections to YAML configuration format.               |
| `ListConnections`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                                                   | ListConnections retrieves data warehouse connections for a workspace.                                   |
| `GetAuditLog`<br />*synq.agent.recon.v1.AuditLogService*                                                                                                        | GetAuditLog returns a single audit log by invocation ID.                                                |
| `ListAuditLogs`<br />*synq.agent.recon.v1.AuditLogService*                                                                                                      | ListAuditLogs returns audit logs ordered from newest to oldest, optionally filtered by suite and tim... |
| `BatchReconciliationRunState`<br />*synq.agent.recon.v1.RunStateService*                                                                                        | BatchReconciliationRunState returns the latest concluded run and any ongoing                            |
| `ListReconciliationRunState`<br />*synq.agent.recon.v1.RunStateService*                                                                                         | ListReconciliationRunState returns runs filtered by status and/or suite\_id.                            |
| `GetSuiteConfig`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                                  | Get the latest version of a suite config by suite\_id.                                                  |
| `GetSuiteConfigVersion`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                           | Get a specific historical version of a suite config.                                                    |
| `ListSuiteConfigVersions`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                         | Get version history for a suite config.                                                                 |
| `ListSuiteConfigs`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                                | List latest suite configs with filtering and pagination.                                                |
| `GetSuiteDeployment`<br />*synq.agent.recon.v1.SuiteDeploymentService*                                                                                          | Fetch a deployment by suite\_id or deployment\_id.                                                      |
| `ListSuiteDeploymentHistory`<br />*synq.agent.recon.v1.SuiteDeploymentService*                                                                                  | List the append-only history of a deployment (every promote,                                            |
| `ListSuiteDeployments`<br />*synq.agent.recon.v1.SuiteDeploymentService*                                                                                        | List deployments for the caller's workspace. Filters support answering                                  |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`                                                | SubmitFeatureRequest submits a feature request to the Coalesce Quality product team.                    |
| `GetConfig`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                            | GetConfig returns the Scout configuration (system prompts + DWH connection                              |
| `ListPromptSuggestions`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                | ListPromptSuggestions returns prompt-improvement suggestions recorded for the                           |
| `BatchSuggestionStates`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                    |                                                                                                         |
| `GetActiveSuggestionStatesFor`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                             |                                                                                                         |
| `ListSuggestionStates`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                     |                                                                                                         |
| `BatchLatestConclusions`<br />*synq.agent.sre.v1.TriageService*<br />`GET /api/triage/v1/conclusions`                                                           | Retrieves the latest triage state for one or more issues. This method is used by the LLM agent          |
| `BatchTriageState`<br />*synq.agent.sre.v1.TriageService*<br />`GET /api/triage/v1/states`                                                                      | Retrieves the triage state for one or more issues. This method is used by the LLM agent                 |
| `ListTriageState`<br />*synq.agent.sre.v1.TriageService*<br />`GET /api/triage/v1/statuses`                                                                     | Retrieves the triage state for one or more issues. This method is used by the LLM agent                 |
| `BatchGetSqlTests`<br />*synq.datachecks.sqltests.v1.SqlTestsService*<br />`POST /api/datachecks/sqltests/v1/by-id`                                             | Get SqlTests by their IDs.                                                                              |
| `ListSqlTests`<br />*synq.datachecks.sqltests.v1.SqlTestsService*<br />`GET /api/datachecks/sqltests/v1`                                                        | List SqlTests for given annotations.                                                                    |
| `BatchGetTestSuggestionsForEntities`<br />*synq.datachecks.testsuggestions.v1.TestSuggestionsService*<br />`GET /api/datachecks/testsuggestions/v1`             |                                                                                                         |
| `Get`<br />*synq.dataproducts.v1.DataproductsService*<br />`POST /api/dataproducts/v1/get`                                                                      | Get multiple dataproducts by their identifiers.                                                         |
| `List`<br />*synq.dataproducts.v1.DataproductsService*<br />`GET /api/dataproducts/v1`                                                                          | List all the dataproducts in the current scope.                                                         |
| `ListAnnotations`<br />*synq.entities.annotations.v1.AnnotationsService*<br />`GET /api/entities/annotations/v1`                                                | List all available annotations with their usage counts across entities.                                 |
| `BatchChange`<br />*synq.entities.changes.v1.ChangesService*<br />`POST /api/changes/v1/by-id`                                                                  | BatchChange retrieves multiple entity changes by their IDs in a single request.                         |
| `List`<br />*synq.entities.changes.v1.ChangesService*<br />`GET /api/changes/v1`                                                                                | Retrieves the complete change history for specified entities.                                           |
| `GetCoverage`<br />*synq.entities.checks.v1.ChecksCoverageService*                                                                                              | GetCoverage retrieves the coverage of checks for a specific entity.                                     |
| `ListCode`<br />*synq.entities.code.v1.CodeService*<br />`GET /api/code/v1`                                                                                     | ListCode retrieves all code artifacts associated with a specific entity.                                |
| `GetTableConstraints`<br />*synq.entities.constraints.v1.TableConstraintsService*<br />`GET /api/constraints/v1/table-constraints`                              | Get table constraints (primary keys, foreign keys, indexes, etc.) for a given entity.                   |
| `BatchDatabaseCoordinates`<br />*synq.entities.coordinates.v1.DatabaseCoordinatesService*<br />`POST /api/coordinates/v1/database/by-id`                        | Get multiple DatabaseCoordinates for identifiers.                                                       |
| `BatchIdsByCoordinates`<br />*synq.entities.coordinates.v1.DatabaseCoordinatesService*<br />`POST /api/coordinates/v1/database/by-fqn`                          | Given database FQN return possible entity ids.                                                          |
| `ListEntities`<br />*synq.entities.custom.v1.EntitiesService*<br />`GET /api/entities/custom/v1/entities`                                                       | List all entities.                                                                                      |
| `ListEntityFeatures`<br />*synq.entities.custom.v1.FeaturesService*<br />`POST /api/entities/custom/v1/features/list`                                           | List all entities.                                                                                      |
| `ListEntityGroups`<br />*synq.entities.custom.v1.GroupsService*<br />`POST /api/entities/custom/v1/groups/list`                                                 | ListEntityGroups lists all groups.                                                                      |
| `ListRelationships`<br />*synq.entities.custom.v1.RelationshipsService*<br />`POST /api/entities/custom/v1/relationships/list`                                  | Delete relationships between entities. If the relationship does not exist, it will be ignored.          |
| `BatchGetEntities`<br />*synq.entities.entities.v1.EntitiesService*<br />`POST /api/entities/v1/by-id`                                                          | Get multiple entities by their identifiers.                                                             |
| `GetEntity`<br />*synq.entities.entities.v1.EntitiesService*                                                                                                    | Get specific entity by its identifier.                                                                  |
| `ListEntities`<br />*synq.entities.entities.v1.EntitiesService*<br />`GET /api/entities/v1`                                                                     | List entities matching the given filter                                                                 |
| `SearchEntities`<br />*synq.entities.entities.v1.EntitiesService*<br />`GET /api/entities/v1/search`                                                            | Search for entities.                                                                                    |
| `BatchGetExecutions`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`POST /api/executions/v2/by-id`                                            | BatchGetExecutions retrieves multiple executions by their IDs.                                          |
| `GetExecutionsSummary`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`POST /api/executions/v2/summary`                                        | GetExecutionsSummary provides aggregated statistics about executions for specified entities.            |
| `GetLatestExecutions`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`POST /api/executions/v2/latest`                                          | GetLatestExecutions retrieves the most recent execution for each specified entity.                      |
| `ListExecutions`<br />*synq.entities.executions.v2.EntityExecutionsService*<br />`GET /api/executions/v2/list`                                                  | ListExecutions retrieves a paginated list of executions for one or more entities.                       |
| `GetImpact`<br />*synq.entities.impact.v1.ImpactService*<br />`POST /api/impact/v1`                                                                             |                                                                                                         |
| `GetLineage`<br />*synq.entities.lineage.v1.LineageService*<br />`POST /api/lineage/v1`                                                                         |                                                                                                         |
| `BatchOrchestration`<br />*synq.entities.orchestration.v1.OrchestrationService*<br />`GET /api/orchestration/v1`                                                | BatchOrchestration retrieves orchestration relationships for multiple entities.                         |
| `BatchResolveIdentifiers`<br />*synq.entities.resolve.v1.IdentifierResolveService*<br />`POST /api/resolve/v1/by-id`                                            | Resolve multiple identifiers, returning their Coalesce Quality paths and identity groups.               |
| `BatchSchemaMismatches`<br />*synq.entities.schemas.v1.SchemaMismatchesService*<br />`POST /api/schema-mismatches/v1`                                           | Get schema mismatches for a batch of entities by their identifiers.                                     |
| `GetSchema`<br />*synq.entities.schemas.v1.SchemasService*<br />`GET /api/schema/v1`                                                                            | Get schema of the entity its identifier.                                                                |
| `BatchSqlDetails`<br />*synq.entities.sql\_insights.v1.SqlInsightsService*<br />`POST /api/sql-insights/v1/details:batch`                                       | BatchSqlDetails returns the SQL details (currently the set of detected SQL                              |
| `ListSqlConstructs`<br />*synq.entities.sql\_insights.v1.SqlInsightsService*<br />`GET /api/sql-insights/v1/constructs`                                         | ListSqlConstructs returns the distribution of SQL constructs across all                                 |
| `BatchGetIncidents`<br />*synq.entities.status.v1.EntityIncidentsService*<br />`POST /api/status/v1/incidents/by-id`                                            | Get multiple entity statuses by their identifiers.                                                      |
| `GetIncidents`<br />*synq.entities.status.v1.EntityIncidentsService*                                                                                            | Get specific entity status by its identifier.                                                           |
| `BatchGetIssuesStatus`<br />*synq.entities.status.v1.EntityIssuesService*<br />`POST /api/status/v1/issues/by-id`                                               | Get multiple entity statuses by their identifiers.                                                      |
| `GetDiffByChangeId`<br />*synq.git.commits.v1.CommitsService*<br />`GET /api/git/v1/change/{change_id}`                                                         |                                                                                                         |
| `GetDiffByCommit`<br />*synq.git.commits.v1.CommitsService*<br />`GET /api/git/v1/commit/{commit_sha}`                                                          |                                                                                                         |
| `BatchGetIncidents`<br />*synq.incidents.v1.IncidentsService*<br />`POST /api/incidents/v1/by-id`                                                               |                                                                                                         |
| `ListIncidents`<br />*synq.incidents.v1.IncidentsService*<br />`GET /api/incidents/v1`                                                                          |                                                                                                         |
| `BatchGetIssues`<br />*synq.issues.issues.v1.IssuesService*<br />`POST /api/issues/v1/by-id`                                                                    |                                                                                                         |
| `ListIssues`<br />*synq.issues.issues.v1.IssuesService*<br />`GET /api/issues/v1`                                                                               |                                                                                                         |
| `BatchGetIssues`<br />*synq.issues.v2.IssuesService*<br />`POST /api/issues/v2/by-id`                                                                           |                                                                                                         |
| `ListIssues`<br />*synq.issues.v2.IssuesService*<br />`GET /api/issues/v2`                                                                                      |                                                                                                         |
| `History`<br />*synq.monitors.history.v1.HistoryService*<br />`GET /api/monitors/history/v1/{monitor_path}`                                                     |                                                                                                         |
| `MonitorInfo`<br />*synq.monitors.info.v1.MonitorInfoService*<br />`GET /api/monitors/info/v1`                                                                  |                                                                                                         |
| `BatchGetLatestEntityMetrics`<br />*synq.monitors.predictions.v1.MonitorPredictionsService*<br />`POST /api/monitors/predictions/v1/entity-metrics:batchLatest` | Returns the most recent observed table-stats sample (row count, freshness) for each                     |
| `GetEntityMetrics`<br />*synq.monitors.predictions.v1.MonitorPredictionsService*<br />`GET /api/monitors/predictions/v1/entity-metrics`                         | Returns raw metric timeseries for an entity. Identity-aware: resolves                                   |
| `GetMonitorPredictions`<br />*synq.monitors.predictions.v1.MonitorPredictionsService*<br />`GET /api/monitors/predictions/v1`                                   | Returns prediction timeseries for a monitor. The monitor must exist                                     |
| `BatchGet`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/batch-get`                                                                | Fetch multiple saved views by id. Ids the caller cannot see, or that do not                             |
| `List`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/list`                                                                         | List the saved views the calling user can see. By default returns every                                 |
| `SetPin`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/set-pin`                                                                    | Pin or unpin a saved view to the calling user's main screen. Pinning is a                               |
| `GetByEmail`<br />*synq.users.v1.UsersService*                                                                                                                  |                                                                                                         |
| `GetUserIdentities`<br />*synq.users.v1.UsersService*                                                                                                           | Returns all canonical identity strings for a user.                                                      |
| `ListUsers`<br />*synq.users.v1.UsersService*                                                                                                                   |                                                                                                         |

## MCP Write Access

`SCOPE_MCP_WRITE`

Use any write MCP (Model Context Protocol) tool, including tools added in the future.

*No public gRPC/REST methods require this scope directly (e.g. MCP tools or future methods).*

## Read Reconciliation Audits and Settings

`SCOPE_RECON_READ`

View reconciliation suites, settings, and audit results.

| Method                                                                         | Description                                                                                             |
| ------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------- |
| `GetAuditLog`<br />*synq.agent.recon.v1.AuditLogService*                       | GetAuditLog returns a single audit log by invocation ID.                                                |
| `ListAuditLogs`<br />*synq.agent.recon.v1.AuditLogService*                     | ListAuditLogs returns audit logs ordered from newest to oldest, optionally filtered by suite and tim... |
| `BatchReconciliationRunState`<br />*synq.agent.recon.v1.RunStateService*       | BatchReconciliationRunState returns the latest concluded run and any ongoing                            |
| `ListReconciliationRunState`<br />*synq.agent.recon.v1.RunStateService*        | ListReconciliationRunState returns runs filtered by status and/or suite\_id.                            |
| `GetSuiteConfig`<br />*synq.agent.recon.v1.SuiteConfigService*                 | Get the latest version of a suite config by suite\_id.                                                  |
| `GetSuiteConfigVersion`<br />*synq.agent.recon.v1.SuiteConfigService*          | Get a specific historical version of a suite config.                                                    |
| `ListSuiteConfigVersions`<br />*synq.agent.recon.v1.SuiteConfigService*        | Get version history for a suite config.                                                                 |
| `ListSuiteConfigs`<br />*synq.agent.recon.v1.SuiteConfigService*               | List latest suite configs with filtering and pagination.                                                |
| `GetSuiteDeployment`<br />*synq.agent.recon.v1.SuiteDeploymentService*         | Fetch a deployment by suite\_id or deployment\_id.                                                      |
| `ListSuiteDeploymentHistory`<br />*synq.agent.recon.v1.SuiteDeploymentService* | List the append-only history of a deployment (every promote,                                            |
| `ListSuiteDeployments`<br />*synq.agent.recon.v1.SuiteDeploymentService*       | List deployments for the caller's workspace. Filters support answering                                  |

## Read Check Categorisation Rules and Status

`SCOPE_POLICIES_READ`

View check categorisation rules and their status.

| Method                                                                                                                     | Description                                                      |
| -------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- |
| `ListCheckCategories`<br />*synq.entities.checks.v1.ChecksCategoriesService*<br />`GET /api/entities/checks/v1/categories` | ListCheckCategories returns every explicit check category in the |

## Read Saved Views

`SCOPE_SAVED_VIEW_READ`

View saved views the caller has access to.

| Method                                                                                           | Description                                                                 |
| ------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------- |
| `BatchGet`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/batch-get` | Fetch multiple saved views by id. Ids the caller cannot see, or that do not |
| `List`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/list`          | List the saved views the calling user can see. By default returns every     |
| `SetPin`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/set-pin`     | Pin or unpin a saved view to the calling user's main screen. Pinning is a   |

## Create and Edit Saved Views

`SCOPE_SAVED_VIEW_EDIT`

Create, update, and delete the caller's own saved views.

| Method                                                                                      | Description                                                              |
| ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| `Delete`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/delete` | Delete a saved view. Idempotent — deleting an already-deleted or unknown |
| `Upsert`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1`        | Create or update a saved view.                                           |

## Manage All Saved Views in the Workspace

`SCOPE_SAVED_VIEW_ADMIN`

Manage all saved views in the workspace, including those owned by other users.

| Method                                                                                      | Description                                                              |
| ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| `Delete`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1/delete` | Delete a saved view. Idempotent — deleting an already-deleted or unknown |
| `Upsert`<br />*synq.savedviews.v1.SavedViewsService*<br />`POST /api/saved-views/v1`        | Create or update a saved view.                                           |

## Endpoint reference

Every public API method a customer token can call, and the scopes that satisfy it. A token needs any one of the listed scopes.

| Method                                                                                                                                                                 | Scopes                                                                                                                                                                                                                                                                                    |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `GenerateConnectionsYaml`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                                                  | `SCOPE_MCP_READ`<br />`SCOPE_EXTENSIONS_MANAGE`<br />`SCOPE_ENTITY_READ`                                                                                                                                                                                                                  |
| `ListConnections`<br />*synq.agent.dwh.v1.ConnectionsService*                                                                                                          | `SCOPE_MCP_READ`<br />`SCOPE_EXTENSIONS_MANAGE`<br />`SCOPE_ENTITY_READ`                                                                                                                                                                                                                  |
| `GetAuditLog`<br />*synq.agent.recon.v1.AuditLogService*                                                                                                               | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ListAuditLogs`<br />*synq.agent.recon.v1.AuditLogService*                                                                                                             | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `BatchReconciliationRunState`<br />*synq.agent.recon.v1.RunStateService*                                                                                               | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ListReconciliationRunState`<br />*synq.agent.recon.v1.RunStateService*                                                                                                | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `GetSuiteConfig`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                                         | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `GetSuiteConfigVersion`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                                  | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ListSuiteConfigVersions`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                                | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ListSuiteConfigs`<br />*synq.agent.recon.v1.SuiteConfigService*                                                                                                       | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `GetSuiteDeployment`<br />*synq.agent.recon.v1.SuiteDeploymentService*                                                                                                 | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ListSuiteDeploymentHistory`<br />*synq.agent.recon.v1.SuiteDeploymentService*                                                                                         | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ListSuiteDeployments`<br />*synq.agent.recon.v1.SuiteDeploymentService*                                                                                               | `SCOPE_RECON_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                                                  |
| `ParseYaml`<br />*synq.agent.recon.v1.YamlService*<br />`POST /api/agent/recon/v1/yaml/parse`                                                                          | —                                                                                                                                                                                                                                                                                         |
| `RenderYaml`<br />*synq.agent.recon.v1.YamlService*<br />`POST /api/agent/recon/v1/yaml/render`                                                                        | —                                                                                                                                                                                                                                                                                         |
| `SubmitFeatureRequest`<br />*synq.agent.sre.v1.FeatureRequestService*<br />`POST /api/feature-request/v1/submit`                                                       | `SCOPE_MCP_READ`<br />`SCOPE_ENTITY_READ`<br />`SCOPE_ISSUES_READ`<br />`SCOPE_INCIDENTS_READ`<br />`SCOPE_LINEAGE_READ`<br />`SCOPE_MONITORS_READ`<br />`SCOPE_EXECUTION_READ`<br />`SCOPE_CODE_READ`<br />`SCOPE_DATACHECKS_SQLTESTS_READ`<br />`SCOPE_DATACHECKS_TESTSUGGESTIONS_READ` |
| `AcceptPromptSuggestion`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                      | `SCOPE_INTEGRATION_EDIT`                                                                                                                                                                                                                                                                  |
| `DismissPromptSuggestion`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                     | `SCOPE_INTEGRATION_EDIT`                                                                                                                                                                                                                                                                  |
| `GetConfig`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                                   | `SCOPE_MCP_READ`                                                                                                                                                                                                                                                                          |
| `ListPromptSuggestions`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                       | `SCOPE_MCP_READ`                                                                                                                                                                                                                                                                          |
| `RecordPromptSuggestion`<br />*synq.agent.sre.v1.SreAgentService*                                                                                                      | `SCOPE_INTEGRATION_EDIT`                                                                                                                                                                                                                                                                  |
| `BatchSuggestionStates`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                           | `SCOPE_DATACHECKS_TESTSUGGESTIONS_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                             |
| `GetActiveSuggestionStatesFor`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                    | `SCOPE_DATACHECKS_TESTSUGGESTIONS_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                             |
| `ListSuggestionStates`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                            | `SCOPE_DATACHECKS_TESTSUGGESTIONS_READ`<br />`SCOPE_MCP_READ`                                                                                                                                                                                                                             |
| `MarkAsCancelled`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                                 | `SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT`                                                                                                                                                                                                                                                   |
| `MarkAsCompleted`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                                 | `SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT`                                                                                                                                                                                                                                                   |
| `MarkAsFailed`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                                    | `SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT`                                                                                                                                                                                                                                                   |
| `MarkAsRunning`<br />*synq.agent.sre.v1.TestsSuggestionStateService*                                                                                                   | `SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT`                                                                                                                                                                                                                                                   |
[...]
